Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Class ThresholdEvent

    java.lang.Object
      java.util.EventObject
          net.jini.core.event.RemoteEvent
              org.jini.rio.event.RemoteServiceEvent
                  org.jini.rio.watch.ThresholdEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SLAThresholdEvent

    public class ThresholdEvent

extends RemoteServiceEvent
implements Serializable

The ThresholdEvent extends RemoteServiceEvent allowing for remote notification of a Threshold being crossed

See Also:
  Serialized Form

Field Summary
`static int` | `BREACHED` Indicates a threshold that has been breached
`static int` | `CLEARED` Indicates a threshold that has been clreaed
`static long` | `ID`

Fields inherited from class net.jini.core.event.RemoteEvent
`eventID, handback, seqNum, source`

Constructor Summary
`ThresholdEvent(Object source)` Creates new ThresholdEvent
`ThresholdEvent(Object source, Calculable calculable, ThresholdValues thresholdValues, int type)` Creates new ThresholdEvent

Method Summary
`Calculable` | `getCalculable()` Getter for property calculable
`ThresholdValues` | `getThresholdValues()` Getter for property thresholdValues
`int` | `getType()` Getter for property type
`void` | `setCalculable(Calculable calculable)` Setter for property calculable
`void` | `setThresholdValues(ThresholdValues thresholdValues)` Setter for property thresholdValues
`void` | `setType(int type)` Setter for property type

Methods inherited from class org.jini.rio.event.RemoteServiceEvent
`setEventID, setHandback, setSequenceNumber`

Methods inherited from class net.jini.core.event.RemoteEvent
`getID, getRegistrationObject, getSequenceNumber`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final long ID

See Also:
  Constant Field Values

### BREACHED

    public static final int BREACHED

  Indicates a threshold that has been breached

  See Also:
    Constant Field Values

### CLEARED

    public static final int CLEARED

  Indicates a threshold that has been clreaed

  See Also:
    Constant Field Values

Constructor Detail

### ThresholdEvent

    public ThresholdEvent(Object source)

  Creates new ThresholdEvent

  Parameters:
    `source` - The event source

### ThresholdEvent

    public ThresholdEvent(Object source,
                          Calculable calculable,
                          ThresholdValues thresholdValues,
                          int type)

  Creates new ThresholdEvent

  Parameters:
    `source` - The event source
    `calculable` - New value of property calculable
    `thresholdValues` - New value of property thresholdValues
    `type` - Whether the treshold has been breached or cleared

Method Detail

### getType

    public int getType()

  Getter for property type

  Returns:
    type Whether the treshold has been breached or cleared

### setType

    public void setType(int type)

  Setter for property type

  Parameters:
    `type` - Whether the treshold has been breached or cleared

### getCalculable

    public Calculable getCalculable()

  Getter for property calculable

  Returns:
    Value of property calculable

### setCalculable

    public void setCalculable(Calculable calculable)

  Setter for property calculable

  Parameters:
    `calculable` - New value of property calculable

### getThresholdValues

    public ThresholdValues getThresholdValues()

  Getter for property thresholdValues

  Returns:
    Value of property thresholdValues

### setThresholdValues

    public void setThresholdValues(ThresholdValues thresholdValues)

  Setter for property thresholdValues

  Parameters:
    `thresholdValues` - New value of property thresholdValues

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.